#ifndef RNDPASS_H
#define RNDPASS_H

#define VERMAJOR	0
#define VERMINOR	1

#define MAXPASSLEN	512
#define MAXPASSCNT	512

#define PASSLEN		12
#define PASSCNT		4

const char dict_digit[] = {
	48, 49, 50, 51, 52, 53, 54, 55, 56, 57 };

const char dict_ualpha[] = {
	65, 66, 67, 68, 69, 70, 71, 72, 73, 74,
	75, 76, 77, 78, 79, 80, 81, 82, 83, 84,
	85, 86, 87, 88, 89, 90 };

const char dict_salpha[] = {
	97,  98,  99,  100, 101, 102, 103, 104, 105, 106,
	107, 108, 109, 110, 111, 112, 113, 114, 115, 116,
	117, 118, 119, 120, 121, 122 };

const char dict_print[] = {
	33,  34, 35, 36, 37, 38, 39, 40, 41,  42,
	43,  44, 45, 46, 47, 58, 59, 60, 61,  62,
	63,  64, 91, 92, 93, 94, 95, 96, 123, 124,
	125, 126 };

#define SZ_DIGIT	sizeof(dict_digit)
#define SZ_UALPHA	sizeof(dict_ualpha)
#define SZ_SALPHA	sizeof(dict_salpha)
#define SZ_PRINT	sizeof(dict_print)

typedef struct {
	int digit;
	int ualpha;
	int salpha;
	int print;
} rndopt_t;

void usage();
void version();
void mixdict(char *, rndopt_t);
void rndread(u_int16_t *, ssize_t);
void sortdict(char *, int, u_int16_t *);
void genpass(char *, int, char *, int, u_int16_t *);

#endif

